<%
'(C) Copyright 2001 by UltraApps
'View files/license.html for Legal Information
'-------------------------------
' UserList CustomIncludes begin
%>

<!-- #INCLUDE FILE="Common.asp" -->
<!-- #INCLUDE FILE="Header.asp" -->
<!-- #INCLUDE FILE="Footer.asp" -->

<%
' UserList CustomIncludes end
'-------------------------------

'===============================
' Save Page and File Name available into variables
'-------------------------------
sFileName = "UserList.asp"
sTemplateFileName = "UserList.html"
'===============================


'===============================
' UserList PageSecurity begin
CheckSecurity(2)
' UserList PageSecurity end
'===============================

'===============================
' UserList Open Event begin
' UserList Open Event end
'===============================

'===============================
' UserList OpenAnyPage Event begin
' UserList OpenAnyPage Event end
'===============================

'===============================
'Save the name of the form and type of action into the variables
'-------------------------------
sAction = GetParam("FormAction")
sForm = GetParam("FormName")
'===============================

' UserList Show begin

'===============================
' Display page
'-------------------------------
' Load HTML template for this page
'-------------------------------
LoadTemplate sAppPath & sTemplateFileName, "main"
'-------------------------------
' Load HTML template of Header and Footer
'-------------------------------
LoadTemplate sHeaderFileName, "Header"
LoadTemplate sFooterFileName, "Footer"
'-------------------------------
SetVar "FileName", sFileName


'-------------------------------
' Step through each form
'-------------------------------
Menu_Show
FooterForm_Show
Users_Show
'-------------------------------
' Process page templates
'-------------------------------
Parse "Header", False
Parse "Footer", False
Parse "main", False
'-------------------------------
' Output the page to the browser
'-------------------------------
Response.write PrintVar("main")

' UserList Show end

'-------------------------------
' Destroy all object variables
'-------------------------------
cn.Close
Set cn = Nothing
UnloadTemplate
'===============================

'===============================
' UserList Close Event begin
' UserList Close Event end
'===============================

'===============================
' Display Grid Form
'-------------------------------
Sub Users_Show()
'-------------------------------
' Initialize variables  
'-------------------------------
  Dim rs
  Dim sWhere : sWhere = ""
  Dim sOrder : sOrder = ""
  Dim sSQL : sSQL = ""
  Dim sFormTitle: sFormTitle = "Users"
  Dim HasParam : HasParam = false
  Dim iSort : iSort = ""
  Dim iSorted : iSorted = ""
  Dim sDirection : sDirection = ""
  Dim sSortParams : sSortParams = ""
  Dim iRecordsPerPage : iRecordsPerPage = 20
  Dim iCounter : iCounter = 0
  Dim iPage : iPage = 0
  Dim bEof : bEof = False
  Dim sActionFileName : sActionFileName = "UserMaint.asp"

  SetVar "TransitParams", ""
  SetVar "FormParams", ""


  
'-------------------------------
' Build ORDER BY statement
'-------------------------------
  sOrder = " order by u.User_name Asc"
  iSort = GetParam("FormUsers_Sorting")
  iSorted = GetParam("FormUsers_Sorted")
  sDirection = ""
  if IsEmpty(iSort) then
    SetVar "Form_Sorting", ""
  else
    if iSort = iSorted then 
      SetVar "Form_Sorting", ""
      sDirection = " DESC"
      sSortParams = "FormUsers_Sorting=" & iSort & "&FormUsers_Sorted=" & iSort & "&"
    else
      SetVar "Form_Sorting", iSort
      sDirection = " ASC"
      sSortParams = "FormUsers_Sorting=" & iSort & "&FormUsers_Sorted=" & "&"
    end if
    if iSort = 1 then sOrder = " order by u.[user_name]" & sDirection
    if iSort = 2 then sOrder = " order by u.[email]" & sDirection
  end if

'-------------------------------
' Build base SQL statement
'-------------------------------
  sSQL = "select [u].[email] as u_email, " & _
    "[u].[user_id] as u_user_id, " & _
    "[u].[user_name] as u_user_name " & _
    " from [users] u "
'-------------------------------

'-------------------------------
' Users Open Event begin
' Users Open Event end
'-------------------------------

'-------------------------------
' Assemble full SQL statement
'-------------------------------
  sSQL = sSQL & sWhere & sOrder
'-------------------------------

SetVar "FormTitle", sFormTitle

'-------------------------------
' Process the link to the record page
'-------------------------------
  SetVar "FormAction", sActionFileName
'-------------------------------

'-------------------------------
' Process the parameters for sorting
'-------------------------------
  SetVar "SortParams", sSortParams
'-------------------------------

'-------------------------------
' Open the recordset
'-------------------------------
  openrs rs, sSQL
'-------------------------------

'-------------------------------
' Process empty recordset
'-------------------------------
  if rs.eof then
    set rs = nothing
    SetVar "DListUsers", ""
    Parse "UsersNoRecords", False
    SetVar "UsersNavigator", ""
    Parse "FormUsers", False
    exit sub
  end if
'-------------------------------

'-------------------------------
' Initialize page counter and records per page
'-------------------------------
  iRecordsPerPage = 20
  iCounter = 0
'-------------------------------

'-------------------------------
' Process page scroller
'-------------------------------
  iPage = GetParam("FormUsers_Page")
  if IsEmpty(iPage) then iPage = 1 else iPage = CLng(iPage)
  while not rs.eof and iCounter < (iPage-1)*iRecordsPerPage
    rs.movenext
    iCounter = iCounter + 1
  wend
  iCounter = 0
'-------------------------------

'-------------------------------
' Display grid based on recordset
'-------------------------------
  while not rs.EOF  and iCounter < iRecordsPerPage
'-------------------------------
' Create field variables based on database fields
'-------------------------------
    fldemail = GetValue(rs, "u_email")
    flduser_id = GetValue(rs, "u_user_id")
    flduser_name_URLLink = "UserMaint.asp"
    flduser_name_User_id = GetValue(rs, "u_user_id")
    flduser_name = GetValue(rs, "u_user_name")
'-------------------------------
' Users Show begin
'-------------------------------

'-------------------------------
' Users Show Event begin
' Users Show Event end
'-------------------------------

'-------------------------------
' Replace Template fields with database values
'-------------------------------
    
      SetVar "user_id", ToHTML(flduser_id)
      SetVar "user_name", ToHTML(flduser_name)
      SetVar "user_name_URLLink", flduser_name_URLLink
      SetVar "Prmuser_name_User_id", ToURL(flduser_name_User_id)
      SetVar "email", ToHTML(fldemail)
    Parse "DListUsers", True

'-------------------------------
' Users Show end
'-------------------------------

'-------------------------------
' Move to the next record and increase record counter
'-------------------------------
    rs.MoveNext
    iCounter = iCounter + 1
  wend
'-------------------------------


'-------------------------------
' Users Navigation begin
'-------------------------------
  bEof = rs.eof
  if rs.eof and iPage = 1 then
	SetVar "UsersNavigator", ""
  else
    if bEof then
      SetVar "UsersNavigatorLastPage", "_"
    else
      SetVar "NextPage", (iPage + 1)
    end if
    if iPage = 1 then
      SetVar "UsersNavigatorFirstPage", "_"
    else
      SetVar "PrevPage", (iPage - 1)
    end if
    SetVar "UsersCurrentPage", iPage
    Parse "UsersNavigator", False
  end if
'-------------------------------
' Users Navigation end
'-------------------------------

'-------------------------------
' Finish form processing
'-------------------------------
  set rs = nothing
  SetVar "UsersNoRecords", ""
  Parse "FormUsers", False

'-------------------------------
' Users Close Event begin
' Users Close Event end
'-------------------------------
End Sub
'===============================

%>